%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-File-ShareDir-Install
Version:       0.14
Release:       2mamba
Summary:       File::ShareDir::Install - Allows you to install read-only data files from a distribution
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/File/File-ShareDir-Install-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver

%description
File::ShareDir::Install allows you to install read-only data files from a distribution. It is a companion module to L<File::ShareDir>, which allows you to locate these files after installation.

%prep
%setup -q -n File-ShareDir-Install-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

%changelog
* Thu Apr 20 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14-2mamba
- rebuilt with perl 5.36.0

* Fri Jul 01 2022 Automatic Build System <autodist@mambasoft.it> 0.14-1mamba
- automatic version update by autodist

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 0.13-1mamba
- automatic version update by autodist

* Wed Dec 31 2014 Automatic Build System <autodist@mambasoft.it> 0.10-1mamba
- automatic update by autodist

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.09-1mamba
- package created using the webbuild interface
